[alsa-devel] ASOC deprecated warning

Jon Smirl jonsmirl at gmail.com
Thu Oct 30 20:57:33 CET 2008

On Thu, Oct 30, 2008 at 3:51 PM, Mark Brown <broonie at sirena.org.uk> wrote:
> On Thu, Oct 30, 2008 at 03:22:31PM -0400, Jon Smirl wrote:
>> What's the status of this?
>> Could we have a Kconfig option of disabling deprecated APIs?
>> If I can get rid of this I'll have a warning free build.
> The API is removed in ALSA git, you can cherry pick the patch over if
> you want.  Otherwise I'd suggest taking it up with the people
> maintaining the compiler infrastructure - there's no way to warn on use
> of an API without also warning on the export of the API, which isn't
> ideal.

sysfs has a config attribute for including legacy APIs. If it isn't
set they compile out.

Jon Smirl
jonsmirl at gmail.com

More information about the Alsa-devel mailing list